Uploaded image for project: 'JBoss Enterprise SOA Platform'
  1. JBoss Enterprise SOA Platform
  2. SOA-13

Issue with Active Endpoints not running with JBossAS 4.2

    Details

    • Type: Task
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: 4.2 CR3
    • Fix Version/s: 4.2 CR3
    • Component/s: JBossAS
    • Labels:
      None

      Description

      Issue with Active Endpoints not running with JBossAS 4.2

      From Mike Pelligrini (August 2):

      '...We are aware of the JBossAS 4.2 issues. These issue we believe center around changes around JBossWS and the removal of some of the Apache SOAP classes...'

      '...One point to clarify from Fred's response, the latest supported releases of JBossAS is 4.0.5. JBossAS 4.2.x is currently not supported and there are specific startup issues preventing our engine from running. I will work with product management to determine how soon we would be able to provide support for 4.2...'

      Email thread from 1st week of August - subject: Active Endpoints and JBossAS 4.2 follows:

      Len DiMaggio wrote:
      > 'Evening Burr,
      >
      > One more issue to raise with Active Endpoints - when will they support PostgreSQL?
      >
      >
      > – Len
      >
      > Michael Pellegrini wrote:
      >> Hi Len,
      >>
      >> We are aware of the JBossAS 4.2 issues. These issue we believe center
      >> around changes around JBossWS and the removal of some of the Apache SOAP
      >> classes.
      >>
      >> Currently we do not support PostgreSQL for the persistence store. Can you
      >> elaborate a bit more on the impact of not supporting this DB platform? Thanks,
      >> Mike
      >>
      >> ----Original Message----
      >> From: Len DiMaggio ldimaggi@redhat.com Sent: Tuesday, July 31, 2007 11:17 PM
      >> To: Michael Pellegrini
      >> Cc: 'Burr Sutter'; 'Fred Holahan'; Jiri Pechanec; Len DiMaggio
      >> Subject: Re: Active Endpoints Version number
      >>
      >> Hi again Mike,
      >>
      >> Actually, Jirka was able to perform a download and verified that AE can't run with 4.2 - one other question, are there plans for you to support PostgreSQL?
      >>
      >>
      >> Thanks!,
      >> Len D.
      >>
      >>
      >> Michael Pellegrini wrote:
      >>
      >>> Hi Len,
      >>>
      >>>
      >>>
      >>> Just checking in with you to see how you made out downloading our software? If you are in need of any help or have any questions please let me know.
      >>>
      >>>
      >>>
      >>> Thanks,
      >>> Mike
      >>>
      >>>
      >>>
      >>> From: Len DiMaggio ldimaggi@redhat.com
      >>> Sent: Monday, July 23, 2007 11:34 AM
      >>> To: Michael Pellegrini
      >>> Cc: 'Burr Sutter'; 'Fred Holahan'
      >>> Subject: Re: Active Endpoints Version number
      >>>
      >>>
      >>>
      >>> Hi Mike,
      >>>
      >>> Many thanks for the email - I meant to get back to over the weekend, sorry for the delay - we'll try a download early this week.
      >>>
      >>>
      >>> Thanks again,
      >>> Len
      >>>
      >>>
      >>> Michael Pellegrini wrote:
      >>>
      >>> Hi Len,
      >>>
      >>> 1). One point to clarify from Fred's response, the latest supported releases of JBossAS is 4.0.5. JBossAS 4.2.x is currently not supported and there are specific startup issues preventing our engine from running. I will work with product management to determine how soon we would be able to provide support for 4.2.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  marklittle Mark Little
                  Reporter:
                  ldimaggio Len DiMaggio
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  2 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: